EventFlow.DependencyInjection 0.76.4014

Microsoft.Extensions.DependencyInjection support for EventFlow

Install-Package EventFlow.DependencyInjection -Version 0.76.4014
dotnet add package EventFlow.DependencyInjection --version 0.76.4014
<PackageReference Include="EventFlow.DependencyInjection" Version="0.76.4014" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add EventFlow.DependencyInjection --version 0.76.4014
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Release Notes

New: Mongo DB read model store Queryable:
```csharp
MongoDbReadModelStore readModelStore;
IQueryable<TReadModel> queryable = readModelStore.AsQueryable();
```
New: Moved publish of messages in `RabbitMqPublisher` to a new virtual
method to ease reuse and customization
Fixed: MongoDB read models no longer has the `new()` generic requirement,
which aligns read model requirements with the rest of EventFlow

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
0.76.4014 1,972 10/19/2019
0.75.3970 3,623 9/12/2019
0.74.3948 5,272 7/1/2019
0.73.3933 605 6/11/2019
0.72.3914 1,349 5/28/2019
0.71.3834 959 4/17/2019
0.70.3824 142 4/11/2019
0.69.3772 2,741 2/12/2019
0.68.3728 2,200 12/3/2018
0.67.3697 597 10/14/2018
0.66.3673 341 9/28/2018
0.65.3664 570 9/22/2018
0.64.3598 217 8/27/2018
0.63.3581 533 8/7/2018
0.62.3569 289 7/5/2018
0.61.3524 216 6/26/2018